local ModName = "[DisableFoodHydration75] "

NotifyOnNewObject("/Script/Dominion.HydrationComponent", function(Object)
    if Object and type(Object) == "userdata" then
        local name = Object:GetFullName()
        print(ModName .. name .. " Found\n")
        Object:SetPropertyValue("DecayRatePerHour", 0.25)
        print(ModName .. "HydrationComponent DecayRatePerHour: " .. Object:GetPropertyValue("DecayRatePerHour") .. " | Current Hydration: " .. Object:GetPropertyValue("CurrentHydration") .. "\n")
    end
end)

NotifyOnNewObject("/Script/Dominion.SustenanceComponent", function(Object)
    if Object and type(Object) == "userdata" then
        local name = Object:GetFullName()
        print(ModName .. name .. " Found\n")
        Object:SetPropertyValue("DecayRatePerHour", 0.25)
        print(ModName .. "SustenanceComponent DecayRatePerHour: " .. Object:GetPropertyValue("DecayRatePerHour") .. " | Current Sustenance: " .. Object:GetPropertyValue("CurrentSustenance") .. "\n")
    end
end)